Status
Retrieve a list of the Sites summary and state information.
Filter the result by server name (optional)
Success
Site System Information
ID of RAS Agent.
ID of Site.
Agent State
RAS Status Type
Agent Version.
Server name.
Server Operating System.
Service start time.
System boot time.
Number of unhandled exceptions.
Id of the machine
RAS Log Level
CPU load percentage.
Memory load percentage.
Disk Read.
Disk Write.
Whether the object is enabled or not.
Priority of the Site
Site Name
Unauthorized
Not Found
GET /api/Site/status HTTP/1.1
Accept: */*
[
{
"id": "text",
"siteId": 1,
"agentState": [
"0 = OK",
"1 = EnumSessionsFailed",
"2 = RDSRoleDisabled",
"3 = MaxNonCompletedSessions",
"4 = RASScheduleInProgress",
"5 = ConnectionFailed",
"6 = InvalidCredentials",
"7 = NeedsSysprep",
"8 = SysPrepInProgress",
"9 = CloningFailed",
"10 = Synchronising",
"13 = LogonDrainUntilRestart",
"14 = LogonDrain",
"15 = LogonDisabled",
"16 = ForcedDisconnect",
"17 = CloningCanceled",
"18 = RASprepInProgress",
"20 = InstallingRDSRole",
"21 = RebootPending",
"22 = PortMismatch",
"23 = NeedsDowngrade",
"24 = NotApplied",
"25 = CloningInProgress",
"26 = MarkedForDeletion",
"27 = StandBy",
"28 = UnsupportedVDIType",
"29 = FreeESXLicenseNotSupported",
"30 = ManagedESXNotSupported",
"32 = InvalidHostVersion",
"33 = NotJoined",
"35 = LicenseExpired",
"36 = JoinBroken",
"37 = InUse",
"38 = NotInUse",
"39 = Unsupported",
"40 = NoAvailableGateways",
"41 = EnrollServerNotInitialized",
"42 = EnrollmentUnavailable",
"43 = InvalidCAConfig",
"44 = InvalidEAUserCredentials",
"45 = InvalidESSettings",
"46 = FSLogixNotAvail",
"47 = NoDevices",
"48 = NeedsAttention",
"49 = ImageOptimizationPending",
"50 = ImageOptimization",
"51 = Unavailable",
"52 = UnderConstruction",
"53 = Broken",
"54 = NonRAS",
"55 = Provisioning",
"56 = Invalid",
"57 = FSLogixNeedsUpdate",
"58 = NoMembersAvailable",
"59 = MembersNeedUpdate",
"60 = FailedPerfCounters",
"61 = PendingRecreation",
"62 = RemovingMembers",
"63 = AddingMembers",
"64 = DeleteInProgress",
"66 = JoiningToHostPool",
"67 = AutoUpgradeInProgress",
"68 = AutoUpgradeInitiated",
"-8 = AutoUpgradeLimitReached",
"-7 = AutoUpgradeFailed",
"-6 = Unknown",
"-5 = NeedsUpdate",
"-4 = NotVerified",
"-3 = ServerDeleted",
"-2 = DisabledFromSettings",
"-1 = Disconnected"
],
"serverType": [
"1 = RDSHost",
"2 = Provider",
"3 = Gateway",
"4 = Guest",
"7 = PA",
"9 = Site",
"16 = RDSGroup",
"25 = HALBDevice",
"45 = TenantBroker",
"46 = Enrollment",
"51 = HALB",
"64 = AVDWorkspace",
"65 = AVDHostPool",
"66 = AVDTemplate",
"67 = AVDHost",
"95 = VDITemplateVersion",
"96 = AVDTemplateVersion",
"97 = RDSTemplateVersion",
"107 = RDSTemplate",
"108 = VDITemplate",
"2013 = VDIHost",
"-1 = All"
],
"agentVer": "text",
"server": "text",
"serverOS": "text",
"serviceStartTime": "text",
"systemBootTime": "text",
"unhandledExceptions": 1,
"machineId": "text",
"logLevel": [
"0 = Critical",
"1 = Error",
"2 = Warning",
"3 = Standard",
"4 = Extended",
"5 = Verbose",
"-1 = None"
],
"cpuLoad": 1,
"memLoad": 1,
"diskRead": 1,
"diskWrite": 1,
"enabled": true,
"priority": 1,
"name": "text"
}
]Retrieve summary and state information about a Site
ID of the Site of which summary and state information will be retrieved.
Success
Site System Information
ID of RAS Agent.
ID of Site.
Agent State
RAS Status Type
Agent Version.
Server name.
Server Operating System.
Service start time.
System boot time.
Number of unhandled exceptions.
Id of the machine
RAS Log Level
CPU load percentage.
Memory load percentage.
Disk Read.
Disk Write.
Whether the object is enabled or not.
Priority of the Site
Site Name
Unauthorized
Not Found
GET /api/Site/{id}/status HTTP/1.1
Accept: */*
{
"id": "text",
"siteId": 1,
"agentState": [
"0 = OK",
"1 = EnumSessionsFailed",
"2 = RDSRoleDisabled",
"3 = MaxNonCompletedSessions",
"4 = RASScheduleInProgress",
"5 = ConnectionFailed",
"6 = InvalidCredentials",
"7 = NeedsSysprep",
"8 = SysPrepInProgress",
"9 = CloningFailed",
"10 = Synchronising",
"13 = LogonDrainUntilRestart",
"14 = LogonDrain",
"15 = LogonDisabled",
"16 = ForcedDisconnect",
"17 = CloningCanceled",
"18 = RASprepInProgress",
"20 = InstallingRDSRole",
"21 = RebootPending",
"22 = PortMismatch",
"23 = NeedsDowngrade",
"24 = NotApplied",
"25 = CloningInProgress",
"26 = MarkedForDeletion",
"27 = StandBy",
"28 = UnsupportedVDIType",
"29 = FreeESXLicenseNotSupported",
"30 = ManagedESXNotSupported",
"32 = InvalidHostVersion",
"33 = NotJoined",
"35 = LicenseExpired",
"36 = JoinBroken",
"37 = InUse",
"38 = NotInUse",
"39 = Unsupported",
"40 = NoAvailableGateways",
"41 = EnrollServerNotInitialized",
"42 = EnrollmentUnavailable",
"43 = InvalidCAConfig",
"44 = InvalidEAUserCredentials",
"45 = InvalidESSettings",
"46 = FSLogixNotAvail",
"47 = NoDevices",
"48 = NeedsAttention",
"49 = ImageOptimizationPending",
"50 = ImageOptimization",
"51 = Unavailable",
"52 = UnderConstruction",
"53 = Broken",
"54 = NonRAS",
"55 = Provisioning",
"56 = Invalid",
"57 = FSLogixNeedsUpdate",
"58 = NoMembersAvailable",
"59 = MembersNeedUpdate",
"60 = FailedPerfCounters",
"61 = PendingRecreation",
"62 = RemovingMembers",
"63 = AddingMembers",
"64 = DeleteInProgress",
"66 = JoiningToHostPool",
"67 = AutoUpgradeInProgress",
"68 = AutoUpgradeInitiated",
"-8 = AutoUpgradeLimitReached",
"-7 = AutoUpgradeFailed",
"-6 = Unknown",
"-5 = NeedsUpdate",
"-4 = NotVerified",
"-3 = ServerDeleted",
"-2 = DisabledFromSettings",
"-1 = Disconnected"
],
"serverType": [
"1 = RDSHost",
"2 = Provider",
"3 = Gateway",
"4 = Guest",
"7 = PA",
"9 = Site",
"16 = RDSGroup",
"25 = HALBDevice",
"45 = TenantBroker",
"46 = Enrollment",
"51 = HALB",
"64 = AVDWorkspace",
"65 = AVDHostPool",
"66 = AVDTemplate",
"67 = AVDHost",
"95 = VDITemplateVersion",
"96 = AVDTemplateVersion",
"97 = RDSTemplateVersion",
"107 = RDSTemplate",
"108 = VDITemplate",
"2013 = VDIHost",
"-1 = All"
],
"agentVer": "text",
"server": "text",
"serverOS": "text",
"serviceStartTime": "text",
"systemBootTime": "text",
"unhandledExceptions": 1,
"machineId": "text",
"logLevel": [
"0 = Critical",
"1 = Error",
"2 = Warning",
"3 = Standard",
"4 = Extended",
"5 = Verbose",
"-1 = None"
],
"cpuLoad": 1,
"memLoad": 1,
"diskRead": 1,
"diskWrite": 1,
"enabled": true,
"priority": 1,
"name": "text"
}